:root {
    --twoandhalfslash-label-color: #595151;
    --twoandhalfslash-label-border-color: #8888;
    --twoandhalfslash-label-border-radius: 0.25em;
    --twoandhalfslash-label-shadow: 0 0 1em rgba(0, 0, 0, 0.25);
    --twoandhalfslash-label-background: antiquewhite;
    --twoandhalfslash-label-padding: 0.6em;
    --twoandhalfslash-label-z-index: 1000;
    --twoandhalfslash-label-font-family: sans-serif;
    --twoandhalfslash-label-font-size: 1em;
}

.ths-label {
    position: absolute;
    display: inline-block;
    border-width: 1px;
    border-style: solid;
    max-width: 16em;
    text-wrap: auto;
    font-family: var(--twoandhalfslash-label-font-family), sans-serif;
    font-size: var(--twoandhalfslash-label-font-size, 1em);
    padding: var(--twoandhalfslash-label-padding);
    border-radius: var(--twoandhalfslash-label-border-radius);
    box-shadow: var(--twoandhalfslash-label-shadow);
    background: var(--twoandhalfslash-label-background);
    color: var(--twoandhalfslash-label-color);
    border-color: var(--twoandhalfslash-label-border-color);
    z-index: var(--twoandhalfslash-label-z-index);
}

.ths-label:after {
    content: "";
    position: absolute;
    border-style: solid;
    border-width: 0 5px 6px;
    display: block;
    width: 0;
    z-index: 1;
    left: 10px;
    border-color: var(--twoandhalfslash-label-background) transparent;
}

.ths-label:before {
    content: "";
    position: absolute;
    border-style: solid;
    border-width: 0 5px 6px;
    display: block;
    width: 0;
    z-index: 0;
    left: 10px;
    border-color: var(--twoandhalfslash-label-border-color) transparent;
}

.ths-label.ths-up:after {
    top: -5px;
}

.ths-label.ths-up:before {
    top: -6px;
}

.ths-label.ths-left:before {
    left: -8px;
    top: 1em;
    transform: rotate(270deg);
}

.ths-label.ths-left:after {
    left: -7px;
    top: 1em;
    transform: rotate(270deg);
}

.ths-label.ths-right:after {
    left: calc(100% - 2px);
    top: 1em;
    transform: rotate(90deg);
}

.ths-label.ths-right:before {
    left: calc(100% - 1px);
    top: 1em;
    transform: rotate(90deg);
}

.ths-label.ths-down:after {
    bottom: -6px;
    transform: rotate(180deg);
}

.ths-label.ths-down:before {
    bottom: -7px;
    transform: rotate(180deg);
}
